#
# spec file for package traceroute (Version nanog_6.1.2)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         traceroute
Copyright:    BSD
Group:        Networking/Utilities
Provides:     nkitb:/usr/sbin/traceroute
Autoreqprov:  on
Version:      nanog_6.1.2
Release:      5
Summary:      Traces the route taken by packets over a TCP/IP network
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Url:          ftp://ftp.aces.com/pub/software/traceroute/
Source:       traceroute-nanog-6.0.tar.gz
Patch:        traceroute-to6.1.1.patch
Patch1:       traceroute-nanog-6.1.1.dif
Patch2:       traceroute-nanog-6.1.1-ia64.dif
Patch3:       traceroute-nanog-6.0-security.patch
Patch4:       traceroute-nanog-6.0-security_2.patch
Patch5:       traceroute-nanog-6.0-security_3.patch

%description
The traceroute utility displays the route used by IP packets on their
way to a specified host.

SuSE series: n

%prep
%setup -n traceroute-nanog-6.0
%patch
%patch1
%patch2
perl -pi -e 's/\015//' traceroute.c
%patch3 -p1
%patch4
%patch5

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
make install BASEDIR="$RPM_BUILD_ROOT" DOC=%{_docdir}/traceroute

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/traceroute
%doc %{_mandir}/man8/*
/usr/sbin/traceroute

%changelog -n traceroute
* Tue Jul 22 2003 - postadal@suse.cz
- fixed integer overflow bug [#28105]
* Wed Dec 04 2002 - postadal@suse.cz
- security fix by Thomas Biege (vulnerability in traceroute through
  which local users could gain access to a raw IP- and a raw ICMP-Socket)
* Wed Nov 20 2002 - thomas@suse.de
- added a new version string to solve problems w/ YOU
* Tue Nov 05 2002 - postadal@suse.cz
- removed the word "nanog" from the version string
* Wed Oct 30 2002 - okir@suse.de
- biege: fix security patch (local root)
* Fri May 18 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Thu Mar 15 2001 - cihlar@suse.cz
- update to version 6.1.1
* Fri Oct 20 2000 - kukuk@suse.de
- Initial version, split from nkitb
